<?php
/**
 *
 * Feed post bot. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Ger, https://github.com/GerB
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
	'FPB_ACP_FORUM_ID'					=> 'Foro de Feed',
	'FPB_ACP_FORUM_ID_EXPLAIN'			=> 'El foro para publicar los nuevos elementos del feed.',
	'FPB_ACP_SETTINGS_EXPLAIN'			=> 'Puede añadir feeds RSS, ATOM o RDF utilizando el siguiente formulario. Comience publicando una URL de fuente. Cuando haya ingresado feeds, encontrará una tabla con estos parámetros:',
	'FPB_ACP_FEEDPOSTBOT_SETTING_SAVED'	=> 'Ajustes de Feed Post Bot guardados',
	'FPB_ACP_FEEDPOSTBOT_TITLE'			=> 'Feed Post Bot',
    'FPB_ACP_FETCHED_ITEMS'             => array(
		1	=> 'Todos los feeds recuperados: %d nuevo mensaje creado',
		2	=> 'Todos los feeds recuperados: %d nuevos mensajes creados',
	),
    'FPB_ACP_NO_FETCHED_ITEMS'          => 'No hay (nuevos) elementos para buscar',
	'FPB_ADD_FEED'						=> 'Añadir feed',
	'FPB_APPEND_LINK'					=> 'Añadir enlace',
	'FPB_APPEND_LINK_EXPLAIN'			=> 'Añadir un enlace a la fuente del elemento de feed',
    'FPB_CRON_FREQUENCY'				=> 'Intervalo para el procesamiento automático de feeds (segundos). 0 para deshabilitar la recuperación automática.',
	'FPB_CURDATE'						=> 'Fecha/Hora local',
	'FPB_CURDATE_EXPLAIN'				=> 'Marque para usar el tiempo de búsqueda de feed como hora de publicación. Desmarque para usar el feed con su fecha/hora como tiempo de publicación.',
	'FPB_FETCH_ALL_FEEDS'				=> 'Obtener todos los feeds manualmente',
	'FPB_FEED_TYPE'						=> 'Tipo de Feed',
	'FPB_FEED_TYPE_EXPLAIN'				=> 'Los Feeds pueden ser ATOM, RDF o RSS. Al añadir un feed por primera vez, el tipo es detectado automáticamente. Si el feed no devuelve ningún elemento para publicar, intente cambiarlo.',
	'FPB_FEED_URL'						=> 'URL del Feed',
	'FPB_FEED_URL_EXPLAIN'				=> 'La URL del feed actual, por ejemplo <code>https://www.phpbb.com/feeds/rss/</code>. Cada URL de fuente debe ser única',
	'FPB_FEED_URL_INVALID'				=> 'URL de feed no válida. Esto puede ser el resultado de un duplicado en su lista de feeds o simplemente una URL que no cumple con las especificaciones',
    'FPB_FEEDS'                         => 'Feeds',
    'FPB_LOCKED_EXPLAIN'                => 'El proceso de feed se ha iniciado pero no se ha completado, y por lo tanto, no puede comenzar de nuevo. Si esto persiste, puede liberar el proceso haciendo clic en este botón',
	'FPB_LOG_FEED_ERROR'				=> 'Error en la fuente de feed XML<br />» %s',
	'FPB_LOG_FEED_FETCHED'				=> 'Feed extraído<br />» %s',
	'FPB_LOG_FEED_TIMEOUT'				=> 'Tiempo de espera de feed alcanzado<br />» %s',
	'FPB_PREFIX'						=> 'Prefijo del tema',
	'FPB_PREFIX_EXPLAIN'				=> 'Puede elegir el añadir un prefijo a sus temas, por ejemplo; “[phpBB RSS]”. Deje vacío para no usar prefijo.',
	'FPB_NO_FEEDS'						=> 'No hay feeds todavía',
	'FPB_READ_MORE'						=> 'Leer más',
	'FPB_REQUIRE_SIMPLEXML'				=> 'La extensión PHP <a href="http://php.net/manual/en/book.simplexml.php">SimpleXML</a> no está disponible en el servidor. La extensión necesita esto para leer los feeds, y por lo tanto, no se puede instalar.',
	'FPB_REQUIRE_URL_FOPEN'				=> 'El ajustes de PHP INI <a href="http://php.net/manual/en/filesystem.configuration.php">allow_url_fopen</a> está deshabilitado en el servidor. La extensión necesita esto para leer los feeds, y por lo tanto, no se puede instalar.',
	'FPB_SOURCE'						=> 'Fuente:',
	'FPB_TEXTLIMIT'						=> 'Límite de texto',
	'FPB_TEXTLIMIT_EXPLAIN'				=> 'El texto del feed está limitado a una cantidad determinada de caracteres. Tenga en cuenta que este valor se aplica al texto de alimentación sin procesar y las palabras se mantendrán intactas. Después, cualquier código HTML roto del feed será remendado y convertido a BBCode y se añadirá un enlace con el texto “Leer más”. Por lo tanto, el límite es solo una incisión para el texto posterior resultante. <br> Establézcalo en 0 para desactivar la limitación de texto.',
	'FPB_TIMEOUT'						=> 'Se acabó el tiempo',
	'FPB_TIMEOUT_EXPLAIN'				=> 'Tiempo de espera para solicitar la URL del feed. Si este tiempo ha transcurrido sin recuperar el contenido del feed, la solicitud se cancela.',
    'FPB_TYPE_ATOM'						=> 'ATOM',
	'FPB_TYPE_RDF'						=> 'RDF',
	'FPB_TYPE_RSS'						=> 'RSS',
    'FPB_USER_ID'						=> 'ID del usuario Feed',
	'FPB_USER_ID_EXPLAIN'				=> 'La ID del usuario que se utilizará para publicar nuevos elementos.',
));
